Get the size of an image from a string

- « getimagesize

- image_type_to_extension »

- PHP Manual
- GD and Image Functions
- Get the size of an image from a string

# getimagesizefromstring

(PHP 5 >= 5.4.0, PHP 7, PHP 8)

getimagesizefromstring — Get the size of an image from a string

### Description

getimagesizefromstring(string `$string`, array `&$image_info` = `null`): array|false

Identical to getimagesize() except that getimagesizefromstring() accepts a string instead of a file name as the first parameter.

See the getimagesize() documentation for details on how this function works.

### Parameters

`string`

  The image data, as a string.

`image_info`

  See getimagesize().

### Return Values

See getimagesize().

### Examples

Example #1 getimagesizefromstring() example

    <?php
    $img = '/path/to/test.png';

    // Open as a file
    $size_info1 = getimagesize($img);

    // Or open as a string
    $data       = file_get_contents($img);
    $size_info2 = getimagesizefromstring($data);
    ?>

### See Also

- getimagesize() - Get the size of an image